Bug 242398 - SILC protocol causes WAY too many wakeups
Summary: SILC protocol causes WAY too many wakeups
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: wakeup
TreeView+ depends on / blocked
 
Reported: 2007-06-04 01:22 UTC by Jesse Keating
Modified: 2013-01-10 02:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-04 03:22:47 UTC


Attachments (Terms of Use)

Description Jesse Keating 2007-06-04 01:22:27 UTC
When running pidgin with SILC account, the wakeups are huge:

Top causes for wakeups: 41.1% (316.0)            pidgin : schedule_timeout
(process_timeout)

Once I disabled SILC account pidgin doesn't even show up on the radar.

Comment 1 Mark Doliner 2007-06-04 02:24:04 UTC
It looks like the silcclient library has it's own event loop.  But in Pidgin we
use the glib event loop, so in order to process incoming silc events we have a
timer set to run silc_client_run_one() every 5 milliseconds.

I changed the timer to run every 50 milliseconds, and I'll let the silc guy know
about this bug report and hopefully he can work out something elegantly
event-driven.

Comment 2 Stu Tomlinson 2008-01-04 03:22:47 UTC
Latest silc client toolkit (libsilc) in rawhide is fully event based, not using
polling at all, so should resolve this completely. Pidgin works with it too! :)


Note You need to log in before you can comment on or make changes to this bug.